using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserGroupBelongRoleGroupMap : APTEntityBaseMap<T_FM_USER_GROUP_BELONG_R_G>
	{
		public override void Configure(EntityTypeBuilder<T_FM_USER_GROUP_BELONG_R_G> builder)
		{
			base.Configure(builder);
			builder.HasOne(t => t.Nav_BelongRoleGroup).WithMany().HasForeignKey(t => t.BELONG_ROLE_GROUP_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_UserGroup).WithMany(t => t.Nav_BelongRoleGroups).HasForeignKey(t => t.USER_GROUP_ID).OnDelete(DeleteBehavior.Restrict);

		} 
	}
}
